package main

import (
	"crowsnest/internal/routes"
	"net/http"
)


func main() {
    // routes
    http.HandleFunc("GET /", routes.Index)
    http.HandleFunc("POST /up/search", routes.UpSearch)

    // serve files from the "static" directory
	fs := http.FileServer(http.Dir("web/static"))
	http.Handle("GET /static/", http.StripPrefix("/", fs))

    // start server
    http.ListenAndServe(":8080", nil)
}
